<?php

namespace B2buy\Scheduler\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SchedulerTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Scheduler\Models\Scheduler $scheduler)
    {
        return [
            'id'                => $scheduler->getRouteKey(),
            'key'               => [
                'public'    => $scheduler->getPublicKey(),
                'route'     => $scheduler->getRouteKey(),
            ], 
            'company_id'        => $scheduler->company_id,
            'seller_company_id' => $scheduler->seller_company_id,
            'user_id'           => $scheduler->user_id,
            'user_type'         => $scheduler->user_type,
            'order_id'          => $scheduler->order_id,
            'custom_margin_id'  => $scheduler->custom_margin_id,
            'type'              => $scheduler->type,
            'is_checked'        => $scheduler->is_checked,
            'actual_file_name'  => $scheduler->actual_file_name,
            'json_file'         => $scheduler->json_file,
            'total_records'     => $scheduler->total_records,
            'processed'         => $scheduler->processed,
            'pagenumber'        => $scheduler->pagenumber,
            'scheduled_on'      => $scheduler->scheduled_on,
            'prepend_image_url' => $scheduler->prepend_image_url,
            'deleted_at'        => $scheduler->deleted_at,
            'zip_file'          => $scheduler->zip_file,
            'exported_file'     => $scheduler->exported_file,
            'imported_file'     => $scheduler->imported_file,
            'upload_folder'     => $scheduler->upload_folder,
            'subscription_id'   => $scheduler->subscription_id,
            'url'               => [
                'public'    => trans_url('scheduler/'.$scheduler->getPublicKey()),
                'user'      => guard_url('scheduler/scheduler/'.$scheduler->getRouteKey()),
            ], 
            'status'            => trans('app.'.$scheduler->status),
            'created_at'        => format_date($scheduler->created_at),
            'updated_at'        => format_date($scheduler->updated_at),
        ];
    }
}